Subject: bug#10819: closed (RE: bug#10819: [BUG][RM])

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Feb 2012 14:55:02 +0000

Your bug report

#10819: [BUG][RM]

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10819: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10819
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: RE: bug#10819: [BUG][RM]
From: "Voelker, Bernhard" <[email-masked]>
To: Jim Meyering <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Davide Brini <[email-masked]>
Date: Thu, 16 Feb 2012 15:52:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 10819 fixed
thanks

Jim Meyering wrote:
> Voelker, Bernhard wrote:
> > Good point.
> > That means, the info page could be enhanced to mention that
> > special case (see below).
> ...
> > Subject: [PATCH] doc: document 'rm -f' better

> Thanks.  I've applied that with these tweaks:

Even better, thank you.

Marking it as done.

Have a nice day,
Berny

Subject: [BUG][RM]
From: "[email-masked]" <[email-masked]>
To: <[email-masked]>
Date: Wed, 15 Feb 2012 16:05:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm writing to you to inform you of a possible bug in the linux "rm" command.
I've experienced that when using by error the said command as following :
"rm - rf#*"
if there is no file named #*# (* being the same as in the console, anything) in the current directory, rm quits as expected because of the incorrect syntax.
But if there is a file named #*#, rm deletes all the current file's content except the said file.

Regards,

-- 
----------------------
MAGRIN Jérémy
{Epitech.} - Bordeaux
Promo : 2016
mail : [email-masked]